Workers
Get all workers with pagination and sorting.
Fetches a paginated list of all active security assessment workers in the cluster.
GET
/
api
/
workers
Get all workers with pagination and sorting.
curl --request GET \
--url https://{baseUrl}/api/v1/api/workersimport requests
url = "https://{baseUrl}/api/v1/api/workers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{baseUrl}/api/v1/api/workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{baseUrl}/api/v1/api/workers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"token": "<string>",
"currentJobsCount": 123,
"type": "built_in",
"scope": "cloud",
"tool": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"command": "<string>",
"category": "subdomains",
"version": "<string>",
"isBuiltIn": true,
"isInstalled": true,
"isOfficialSupport": true,
"type": "built_in",
"providerId": "<string>",
"logoUrl": "<string>",
"availableWorkersCount": 123
},
"internalNetworkId": "<string>",
"tools": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"command": "<string>",
"category": "subdomains",
"version": "<string>",
"isBuiltIn": true,
"isInstalled": true,
"isOfficialSupport": true,
"type": "built_in",
"providerId": "<string>",
"logoUrl": "<string>",
"availableWorkersCount": 123
}
],
"name": "<string>",
"os": "<string>",
"ipAddress": "<string>",
"enabledAgentMode": true,
"isOnline": true
}
],
"total": 123,
"page": 123,
"limit": 123,
"hasNextPage": true,
"pageCount": 123
}Query Parameters
Example:
1
Example:
10
Example:
"createdAt"
Example:
"DESC"
Available options:
cloud, workspace ⌘I
Get all workers with pagination and sorting.
curl --request GET \
--url https://{baseUrl}/api/v1/api/workersimport requests
url = "https://{baseUrl}/api/v1/api/workers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{baseUrl}/api/v1/api/workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{baseUrl}/api/v1/api/workers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"token": "<string>",
"currentJobsCount": 123,
"type": "built_in",
"scope": "cloud",
"tool": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"command": "<string>",
"category": "subdomains",
"version": "<string>",
"isBuiltIn": true,
"isInstalled": true,
"isOfficialSupport": true,
"type": "built_in",
"providerId": "<string>",
"logoUrl": "<string>",
"availableWorkersCount": 123
},
"internalNetworkId": "<string>",
"tools": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"command": "<string>",
"category": "subdomains",
"version": "<string>",
"isBuiltIn": true,
"isInstalled": true,
"isOfficialSupport": true,
"type": "built_in",
"providerId": "<string>",
"logoUrl": "<string>",
"availableWorkersCount": 123
}
],
"name": "<string>",
"os": "<string>",
"ipAddress": "<string>",
"enabledAgentMode": true,
"isOnline": true
}
],
"total": 123,
"page": 123,
"limit": 123,
"hasNextPage": true,
"pageCount": 123
}